=== debian/changelog ===
ferret-vis (6.6.2-3) unstable; urgency=low

  * Build-Depend on libmotif-dev, not lesstif2-dev.
    Closes: #714752, #7146755. 
  * clear lintian warning: call make clean conditionally.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jul 2013 22:54:10 +0100

ferret-vis (6.6.2-2) unstable; urgency=low

  * Add explicit dependency on libxt-dev, for openmotif. Closes: #707211. 
  * Move debhelper depends to (>= 9), Standards-Version to 3.9.4
  * Add depends on misc-depends for ferret-datasets.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 May 2013 10:32:50 +0100

ferret-vis (6.6.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Avoid building against gfortran-4.5, since #631204 is now fixed.
    (Closes: #654735)
    + debian/control: Drop Build-Depends on gfortran-4.5.
    + debian/README.Debian: Remove.
    + debian/platform_specific_flags.mk.debian: Set FC and F77 to gfortran.

 -- Tim Retout <diocles@debian.org>  Tue, 05 Jun 2012 15:51:54 +0100

ferret-vis (6.6.2-1) unstable; urgency=low

  * Initial release. (Closes: #587422)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Jun 2010 20:42:17 +0100
