=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# magic debhelper rule
%:
	dh $@

FER_EXT:=`pwd`/debian/ferret-vis/usr/lib/ferret/external_functions

override_dh_auto_build:
	ln -sf ../debian/platform_specific_flags.mk.debian ppl
	ln -sf ../debian/platform_specific_flags.mk.debian fer
	ln -sf ../../debian/ef_platform_specific_flags.mk.debian external_functions/ef_utility/platform_specific_flags.mk.debian
	ln -sf ../../debian/fft_platform_specific_flags.mk.debian external_functions/fft/fft_platform_specific_flags.mk.debian
	ln -sf ../../debian/v5d_platform_specific_flags.mk.debian external_functions/v5d/v5d_platform_specific_flags.mk.debian
	mkdir -p lib
	$(MAKE) -C list-2.1
	$(MAKE) -C fer HOSTTYPE=debian update all
	-$(MAKE) -C external_functions HOSTTYPE=debian
	$(MAKE) -C gksm2ps debian

override_dh_install:
	dh_installdirs
	-$(MAKE) -C external_functions install HOSTTYPE=debian FER_LOCAL_EXTFCNS=$(FER_EXT)
	dh_install

override_dh_test:
	(cd bench && ./run_all )

override_dh_auto_clean:
	# use system xpm.h, not supplied ones
	rm -f fer/gui/xpm*.h
	find . -type l  -exec rm {} \;
	find . -name '*.o' -exec rm {} \;
	find . -name '*.so' -exec rm {} \;
	find external_functions -type l -exec rm {} \;
	[ ! -f list-2.1/Makefie ] || $(MAKE) -C list-2.1 clean
	[ ! -f gksm2ps/Makefile ] || $(MAKE) -C gksm2ps clean
	[ ! -f fer/platform_specific_flags.mk.debian ]  || $(MAKE) -C fer clean HOSTTYPE=debian 
	rm -rf lib gksm2ps/gksm2ps fer/ferret_c*
