=== debian/changelog ===
ferret-vis (6.9-2) unstable; urgency=medium

  * Fix emacs startup support and ferret.el
  * Fix bashisms. Closes: #772256

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 07 Dec 2014 11:05:34 +0000

ferret-vis (6.9-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6
  * DH_COMPAT is now 9.
  * Add B-D, dependency on java-common for LAS server; install
    threddsBrowser jar files for thredds later.
  * Add ferret.el ; emcacsen startup
  * Add MIME support for jnl files.
  * Add hardening.
  * Add desktop file, icon.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Sep 2014 10:59:10 +0100
