=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), libreadline-dev, libcurl4-openssl-dev | libcurl-dev, libxgks-dev, libncurses-dev, libmotif-dev, gfortran, libnetcdf-dev, libxmu-headers, csh, libxpm-dev, libxt-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libreadline-dev, libcurl4-openssl-dev | libcurl-dev, libxgks-dev, libncurses-dev, libmotif-dev, gfortran, libnetcdf-dev, libxmu-headers, csh, libxpm-dev, libxt-dev, java-common, openjdk-7-jdk
+Standards-Version: 3.9.6
 Homepage: http://www.ferret.noaa.gov/
 
 Package: ferret-vis
